﻿@model IEnumerable<NationalTheatre.ViewModels.ShowViewModel>

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">            
            <a asp-area="" asp-controller="Shows" asp-action="Index" class="navbar-brand">Shows</a>
            <a asp-area="" asp-controller="Categories" asp-action="Index" class="navbar-brand">Categories</a>
            <a asp-area="" asp-controller="Cashiers" asp-action="Index" class="navbar-brand">Cashiers</a>

            <a asp-area="" asp-controller="Users" asp-action="Logout" class="navbar-brand" style="margin-left:650px">Log out</a>
        </div>
    </div>
</nav>

<h3>Shows</h3>

<p>
  <a asp-controller="Shows" asp-action="Create">Add</a>
</p>

<table class="table">
  <thead>
    <tr>
      <th>
        Name
      </th>
      <th>
        Price
      </th>
      <th>
        Max Seats
      </th>
      <th>
        Date
      </th>
      <th>
        Distribution List
      </th>
      <th></th>
    </tr>
  </thead>
  <tbody>  
    @foreach(var show in Model)
    {<tr>
  <td>
    @show.Name
  </td>
  <td>
    @show.Price
  </td>
  <td>
    @show.AvailableTickets
  </td>
  <td>
    @show.Date
  </td>
  <td>
    @show.DistributionList
  </td>
  <td>
    <a asp-action="Edit" asp-controller="Shows" asp-route-id="@show.Id">Edit</a> |
    <a asp-action="Delete" asp-controller="Shows" asp-route-id="@show.Id">Delete</a> |
    <a asp-action="ExportToCsv" asp-controller="Shows" asp-route-id="@show.Id">Export to csv</a> |
    <a asp-action="ExportToXml" asp-controller="Shows" asp-route-id="@show.Id">Export to xml</a>
  </td>
</tr>
    }
  </tbody>
</table>

